﻿-- This file is part of CyrodiilTickTimer
--
-- (C) 2018 FullHeartContainer
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

CyrodiilTickTimer = CyrodiilTickTimer or {}

local AD = ALLIANCE_ALDMERI_DOMINION
local DC = ALLIANCE_DAGGERFALL_COVENANT
local EP = ALLIANCE_EBONHEART_PACT

CyrodiilTickTimer.colors = {}
local colors = CyrodiilTickTimer.colors

--Transparent BG colors
colors.blackTrans = ZO_ColorDef:New(0, 0, 0, .3)
colors.greenTrans = ZO_ColorDef:New(.2, .5, .2, .6)
colors.greyTrans = ZO_ColorDef:New(.5, .5, .5, .3)
colors.invisible = ZO_ColorDef:New(0,0,0,0)
colors.redTrans = ZO_ColorDef:New(.5, 0, 0, .3)
colors.blue = ZO_ColorDef:New(.408, .560, .698, 1)
colors.red = ZO_ColorDef:New(.871, .361, .310, 1)
colors.white = ZO_ColorDef:New(.8, .8, .8, 1)
colors.yellow = ZO_ColorDef:New(.765, .667, .290, 1)

CyrodiilTickTimer.width = 50

CyrodiilTickTimer.info = {}
CyrodiilTickTimer.info.underAttack = "/esoui/art/mappins/ava_attackburst_64.dds"
CyrodiilTickTimer.info.defendedColor = colors.greenTrans
CyrodiilTickTimer.info.newAttackColor = colors.redTrans
CyrodiilTickTimer.info.endAttackColor = colors.greyTrans
CyrodiilTickTimer.info.defaultBGColor = colors.blackTrans
CyrodiilTickTimer.info.invisColor = colors.invisible
CyrodiilTickTimer.info.fontMain = GetString(SI_CyrodiilTickTimer_FONT)
CyrodiilTickTimer.info[ALLIANCE_NONE] = {}
CyrodiilTickTimer.info[ALLIANCE_NONE].color = colors.white
CyrodiilTickTimer.info[AD] = {}
CyrodiilTickTimer.info[AD].color = colors.yellow
CyrodiilTickTimer.info[AD].flag = "/esoui/art/ava/ava_allianceflag_aldmeri.dds"
CyrodiilTickTimer.info[DC] = {}
CyrodiilTickTimer.info[DC].color = colors.blue
CyrodiilTickTimer.info[DC].flag = "/esoui/art/ava/ava_allianceflag_daggerfall.dds"
CyrodiilTickTimer.info[EP] = {}
CyrodiilTickTimer.info[EP].color = colors.red
CyrodiilTickTimer.info[EP].flag = "/esoui/art/ava/ava_allianceflag_ebonheart.dds"
CyrodiilTickTimer.icons = {}
CyrodiilTickTimer.icons[KEEPTYPE_KEEP] = "/esoui/art/mappins/ava_largekeep_neutral.dds"
CyrodiilTickTimer.icons[KEEPTYPE_OUTPOST] = "/esoui/art/mappins/ava_outpost_neutral.dds"
CyrodiilTickTimer.icons[KEEPTYPE_IMPERIAL_CITY_DISTRICT] = "/esoui/art/mappins/ava_imperialdistrict_neutral.dds"
CyrodiilTickTimer.icons[KEEPTYPE_TOWN] = "/esoui/art/mappins/ava_town_neutral.dds"
CyrodiilTickTimer.icons[10 + RESOURCETYPE_FOOD] = "/esoui/art/mappins/ava_farm_neutral.dds"
CyrodiilTickTimer.icons[10 + RESOURCETYPE_ORE] = "/esoui/art/mappins/ava_mine_neutral.dds"
CyrodiilTickTimer.icons[10 + RESOURCETYPE_WOOD] = "/esoui/art/mappins/ava_lumbermill_neutral.dds"

--For no icon fallback
setmetatable(CyrodiilTickTimer.icons, {__index = function(_,k)
    CyrodiilTickTimer:error("Bad icon lookup: " .. k)
    return "/esoui/art/mappins/ava_largekeep_neutral.dds"
end})
